#castle basement message #5
from eventAPI import *
from APIUtils import *

rtcastle0altar1 = 0
rtcastle0altar2 = 0
rtcastle0altar3 = 0
rtcastle0altar4 = 0

def fireEvent(e):
   rtcastle0altar1 = getTag(e, "rtcastle0altar1")
   rtcastle0altar2 = getTag(e, "rtcastle0altar2")
   rtcastle0altar3 = getTag(e, "rtcastle0altar3")
   rtcastle0altar4 = getTag(e, "rtcastle0altar4")
   if ((rtcastle0altar1 == 2) and (rtcastle0altar2 == 2) and (rtcastle0altar3 == 2) and (rtcastle0altar4 == 2)):
      showMessage(e, ["Although there was nothing here before, a bodiless voice now speaks to you."])
      showMessage(e, ["The last is nothing.", "", "It is beginning and end and within itself is complete."])
   else:
      return 1
   return 0
